Package edu.msu.cme.rdp.classifier.train.validation.leaveoneout

# Class LeaveOneOutTester

java.lang.Object
edu.msu.cme.rdp.classifier.train.validation.leaveoneout.LeaveOneOutTester

public class LeaveOneOutTester extends Object

## Constructor Summary

Constructors
Constructor
Description
`LeaveOneOutTester(Writer writer, int numGoodBases)`

## Method Summary

Modifier and Type
Method
Description
`ArrayList<HashMap<String,StatusCount>>`
`classify(TreeFactory factory, LineageSequenceParser parser, boolean useSeed, int min_bootstrap_words, boolean hideTaxon)`
perform leave-one-out test.
`void`
`displayTreeErrorRate(HierarchyTree root, int indent)`
`protected Map`
`getNum_hierLevelMap()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LeaveOneOutTester

public LeaveOneOutTester(Writer writer, int numGoodBases) throws IOException

Parameters:
  `writer` -
  `numGoodBases` - 0 for all bases from the query, positive integer for partial length testing
Throws:
  `IOException`

## Method Details

### classify

public ArrayList<HashMap<String,StatusCount>> classify(TreeFactory factory, LineageSequenceParser parser, boolean useSeed, int min_bootstrap_words, boolean hideTaxon) throws IOException
perform leave-one-out test. For each query sequence, remove it from the training set and test the classifier, put it back after each testing. The accuracy, misclassified sequences and the misclassified count for each taxon is written into the output file.

Parameters:
  `factory` -
  `parser` -
  `useSeed` -
Throws:
  `IOException`

### displayTreeErrorRate

public void displayTreeErrorRate(HierarchyTree root, int indent) throws IOException

Throws:
  `IOException`

### getNum_hierLevelMap

protected Map getNum_hierLevelMap()